

/*currency*/
@media all {
	[data-currency-icon]:after {
		content: ' 'attr(data-currency-icon);
	}


	[data-currency-icon][data-icon-position="before"]:after {
		content: '';
	}
	[data-currency-icon][data-icon-position="before"]:before {
		content: attr(data-currency-icon)' ';
	}


	/*
	css коды валют
	https://unicode-table.com/ru/blocks/currency-symbols/
	https://www.toptal.com/designers/htmlarrows/currency/
	*/
	[data-currency-icon]:before, [data-currency-icon]:after {
		font-family: 'Comfortaa', cursive;
		font-size: .9em;
	}

	/* Россия Рубль */
	[data-currency-icon][data-currency="RUB"][data-icon-position="after"]:after {
		content: ' \20BD';
	}
	[data-currency-icon][data-currency="RUB"][data-icon-position="before"]:before {
		content: '\20BD ';
	}

	/* Казахстан Тенге */
	[data-currency-icon][data-currency="KZT"][data-icon-position="after"]:after {
		content: ' \20B8';
	}
	[data-currency-icon][data-currency="KZT"][data-icon-position="before"]:before {
		content: '\20B8 ';
	}

	/* Украина гривна */
	[data-currency-icon][data-currency="UAH"][data-icon-position="after"]:after {
		content: ' \20B4';
	}
	[data-currency-icon][data-currency="UAH"][data-icon-position="before"]:before {
		content: '\20B4 ';
	}

	/* Азербайджан манат*/
	[data-currency-icon][data-currency="AZN"][data-icon-position="after"]:after {
		content: ' \20BC';
	}
	[data-currency-icon][data-currency="AZN"][data-icon-position="before"]:before {
		content: '\20BC ';
	}

	/* Армения драм */
	[data-currency-icon][data-currency="AMD"][data-icon-position="after"]:after {
		content: ' \058F';
	}
	[data-currency-icon][data-currency="AMD"][data-icon-position="before"]:before {
		content: '\058F ';
	}

}

@media all {
	.header-currency-dropdown {
		width: 65px;
		position: relative;
	}
	.dropdown-select {
		background: #fff;
		border: 1px solid #ccc;
		box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
		border-radius: 3px;
		padding: 5px 0;
		margin: 5px 0;
		text-align: left;
		position: absolute;
		z-index: 3;
		top: 100%;
		right: 0;
		display: none;
		left: 50%;
		-webkit-transform: translateX(-50%);
		-moz-transform: translateX(-50%);
		-ms-transform: translateX(-50%);
		-o-transform: translateX(-50%);
		transform: translateX(-50%);
		width: 100%;
	}

	.header-currency-dropdown._open .dropdown-select {
		display: block;
	}

	.dropdown-menu:before {
		bottom: 100%;
	}

	.open .dropdown-menu {
		display: block;
		min-width: auto;
	}

	.dropdown-header {
		padding: 10px 15px;
		color: #555;
		text-transform: uppercase;
		font-size: 12px;
		font-weight: 700;
		white-space: nowrap;
	}

	.dropdown-item + .dropdown-header {
		margin-top: 5px;
		border-top: 1px solid #e8ecf3;
	}

	.dropdown-option {
		display: flex;
		align-items: center;
		font-size: 20px;
		justify-content: space-between;
		padding: 8px 12px;
		width: 100%;
		color: #666;
		border: 0;
		background: none;
		overflow: hidden;
		text-overflow: ellipsis;
		-webkit-box-shadow: none;
		box-shadow: none;
		text-decoration: none;
		cursor: pointer;
		line-height: 1;
		font-weight: 700;
	}

	.currency-selected-icon {
		visibility: hidden;
		font-size: 14px;
	}
		.dropdown-option._active .currency-selected-icon {
			visibility: visible;
		}

	.dropdown-option:hover {
		background: #3598dc;
		color: #fff;
	}

	.dropdown-hover:hover .dropdown-menu {
		display: block;
	}

	.header-currency {
		padding-left: 30px;
		display: flex;
		align-items: center;
	}

	.header-currency-label {
		color: #666;
		font-size: 14px;
		padding-right: 10px;
	}

	.header-currency .btn {
		display: flex;
		align-items: center;
		justify-content: space-between;
		width: 100%;
		height: 36px;
		line-height: 34px;
		border: 1px solid #ccc;
		border-radius: 3px;
		color: #666;
		background-color: #fbfaf8;
		font-size: 0;
		padding: 0 10px;
	}
	.header-currency .btn .btn-label{
		font-size: 16px;
	}
	.header-currency .btn .btn-icon {
		font-size: 14px;
		margin-left: 5px;
		float: right;
		line-height: 34px;
		width: 8px;
	}
	.dropdown-current {
		font-size: 20px;
		float: right;
		width: 1em;
		font-weight: 700;
	}
}
@media (max-width: 1279px) {
	.header-currency {
		padding-left: 20px;
	}
	.header-currency-label {
		display: none;
	}
}
@media (max-width: 1023px) {
	.header-currency-label {
		display: none;
	}
	.mobile-sidebar .header-currency {
		margin-top: 15px;
	}
	.mobile-sidebar .header-currency-label {
		display: block;
	}
}
@media (max-width: 479px) {
	.header-currency {
		padding-left: 20px;
	}
}